var _ = require('underscore');

var Base = require('./base.js');

function Copy() {
	Base.call(this);
}

Copy.prototype = Object.create(Base.prototype);
Copy.prototype.constructor = Base;

Copy.prototype.add = function(key, dest, sources, options) {

	options = options || {};
	this.config[key] = _.extend({
		src: sources,
		dest: dest
	}, options);

};

module.exports = Copy;
