
describe 'clean', ->
	Given -> @subject = @subject.clean
	Then -> typeof @subject == 'object'
	Then -> typeof @subject.add == 'function'

	beforeEach -> @subject.reset()

	describe 'add string', ->
		When -> @subject.add('foo','some/path')
		Then -> expect(@subject.config).toEqual({foo:['some/path']})

	describe 'add array', ->
		When -> @subject.add('bar', ['path/1', 'path/2'])
		Then -> expect(@subject.config).toEqual({bar:['path/1', 'path/2']})